### Enumeration

# Qmi UimRefreshMode

since: 1.28

#### Declaration

    enum Qmi.UimRefreshMode

#### Description [src]

Refresh mode.

Available since: 1.28

#### Members

`QMI_UIM_REFRESH_MODE_RESET`

  Reset.

  - Value: `0`
  - Available since: 1.28
`QMI_UIM_REFRESH_MODE_INIT`

  Init.

  - Value: `1`
  - Available since: 1.28
`QMI_UIM_REFRESH_MODE_INIT_FCN`

  Init & FCN.

  - Value: `2`
  - Available since: 1.28
`QMI_UIM_REFRESH_MODE_FCN`

  FCN.

  - Value: `3`
  - Available since: 1.28
`QMI_UIM_REFRESH_MODE_INIT_FULL_FCN`

  Init & full FCN.

  - Value: `4`
  - Available since: 1.28
`QMI_UIM_REFRESH_MODE_APP_RESET`

  Application reset.

  - Value: `5`
  - Available since: 1.28
`QMI_UIM_REFRESH_MODE_3G_RESET`

  3G session reset.

  - Value: `6`
  - Available since: 1.28

#### Type functions

###### qmi_uim_refresh_mode_get_string

Gets the nickname string for the `QmiUimRefreshMode` specified at `val`.

since: 1.28